<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/mainLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".MainActivity">

    <!--상단 툴바, 오른쪽 버튼 2개-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/white"
        android:orientation="horizontal"
        android:weightSum="2">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <ImageView
                android:id="@+id/ivLogo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingTop="4dp"
                android:paddingBottom="4dp"
                 />
<!--            android:src="@drawable/chilgok_logo"-->

            <!--            #888888-->
            <TextView
                android:id="@+id/tvEdu"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginTop="4dp"
                android:layout_marginBottom="4dp"
                android:background="@drawable/shape2"
                android:gravity="center"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:text="교육"
                android:textColor="@color/white"
                android:visibility="gone" />

        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_weight="1">

            <LinearLayout
                android:id="@+id/logoutLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="6dp"
                android:background="@drawable/shape_logout"
                android:padding="4dp">

                <ImageView
                    android:layout_width="18dp"
                    android:layout_height="18dp"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/ic_vpn_key_black_24dp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/logout"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/settingLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="8dp"
                android:layout_toLeftOf="@+id/logoutLayout"
                android:background="@drawable/shape_btn"
                android:padding="4dp">

                <ImageView
                    android:layout_width="18dp"
                    android:layout_height="18dp"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/ic_settings_black_24dp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/setting"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

            <TextView
                android:id="@+id/tvDoctor"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6sp"
                android:layout_toLeftOf="@+id/settingLayout"
                android:text="의사이름"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/tvDept"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toLeftOf="@+id/tvDoctor"
                android:text="진료과"
                android:textColor="@color/userDeptColor"
                android:textSize="16sp" />

        </RelativeLayout>


    </LinearLayout>
    <!--툴바 끝-->

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/toolbar">

        <TextView
            android:id="@+id/tvConsent"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginLeft="16dp"
            android:background="@drawable/shape2"
            android:gravity="center"
            android:paddingLeft="16dp"
            android:paddingRight="16dp"
            android:text="@string/consent"
            android:textColor="@color/white"
            android:textSize="20sp" />

    </LinearLayout>

    <!--전체레이아웃-->
    <LinearLayout
        android:id="@+id/viewLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="horizontal">
        <!--좌측 레이아웃-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1">

            <include
                android:id="@+id/includeLeft"
                layout="@layout/activity_left"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>

        <!--중간 레이아웃-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1">

            <include
                android:id="@+id/includeCenter"
                layout="@layout/activity_center"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>


        <!--우측 레이아웃-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@color/mainBackGroundColor"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="2dp"
                android:layout_marginRight="2dp"
                android:layout_marginBottom="2dp"
                android:background="@color/white"
                android:orientation="vertical">

                <!--                <LinearLayout-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="wrap_content"-->
                <!--                    android:background="@color/mainBackGroundColor">-->
                <!--                    <TextView-->
                <!--                        android:layout_width="match_parent"-->
                <!--                        android:layout_height="match_parent"-->
                <!--                        android:text=""-->
                <!--                        android:textSize="18sp"-->
                <!--                        android:gravity="center"-->
                <!--                        android:paddingTop="8dp"/>-->
                <!--                </LinearLayout>-->

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/mainBackGroundColor"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:id="@+id/historyLayout"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/shape_right_top">

                        <TextView
                            android:id="@+id/tvHistory"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:padding="10dp"
                            android:text="@string/history"
                            android:textColor="@color/black"
                            android:textSize="16sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/markerLayout"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/shape_right_top">

                        <TextView
                            android:id="@+id/tvMarker"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:padding="10dp"
                            android:text="@string/marker"
                            android:textColor="@color/black"
                            android:textSize="16sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/searchLayout"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/shape_right_top">

                        <TextView
                            android:id="@+id/tvSearch"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:padding="10dp"
                            android:text="@string/consentSearch"
                            android:textColor="@color/black"
                            android:textSize="16sp" />
                    </LinearLayout>
                </LinearLayout>

                <androidx.viewpager.widget.ViewPager
                    android:id="@+id/viewPager"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />
            </LinearLayout>
        </LinearLayout>

    </LinearLayout>
    <!--전체레이아웃 끝-->


</LinearLayout>